Subject: RFD: tables in documentation

From: Michael J Gruber <[email-masked]>
Date: Sat, 01 May 2010 20:37:39 +0200

Currently, all tables are formatted using indentation by spaces. This
breaks whenever AsciiDoc's parsing changes.

Instead, I suggest to use AsciiDoc's table syntax which also produces
proper tables in the HTML and man output. I formatted the first part of
the first table in git-read-tree(1) like that so that you can compare
easily.

I put it up at http://repo.or.cz/w/git/mjg.git/commit/table-example for
your viewing pleasure. I'd say it looks great even in links (but not in
lynx). It also shows a problem of xmlto with multiple rowspans (the xml
is correct, .1 apparently not), which could be circumvented easily by
repeating those cells.

HTML:
http://repo.or.cz/w/git/mjg.git/blob_plain/table-example:/Documentation/git-read-tree.html

MAN:
http://repo.or.cz/w/git/mjg.git/blob_plain/table-example:/Documentation/git-read-tree.1

MAN converted to txt by man:
http://repo.or.cz/w/git/mjg.git/blob_plain/table-example:/Documentation/git-read-tree.1.txt

MAN converted to HTML by man2html:
http://repo.or.cz/w/git/mjg.git/blob_plain/table-example:/Documentation/git-read-tree.1.html

Cheers,
Michael